| Qore Programming Language - C/C++ Library 1.0.8

Public Member Functions | Friends | List of all members
QoreMethod Class Reference

a method in a QoreClass More...

`#include <QoreClass.h>`

## Public Member Functions
DLLEXPORT QoreValue | execManaged (QoreObject *self, const QoreListNode *args, ExceptionSink *xsink) const
| evaluates the method and returns the value, does not reference the object for the call More...
DLLEXPORT bool | existsVariant (const type_vec_t &paramTypeInfo) const
| returns true if a variant with the given parameter signature already exists in the method
DLLEXPORT ClassAccess | getAccess () const
| returns the lowest access code of all variants in the method
DLLEXPORT const QoreClass * | getClass () const
| returns a pointer to the parent class
DLLEXPORT const char * | getClassName () const
| returns the class name for the method
DLLEXPORT const QoreExternalMethodFunction * | getFunction () const
| returns the function for the method More...
DLLEXPORT method_type_e | getMethodType () const
| returns the type of method More...
DLLEXPORT const char * | getName () const
| returns the method's name More...
DLLEXPORT const std::string & | getNameStr () const
| returns the method's name More...
DLLEXPORT bool | isBuiltin () const
| returns true if all variants of the method are builtin variants More...
DLLEXPORT bool | isPrivate () const
| returns true if all overloaded variants of a methods are private or class internal, false if at least one variant is public More...
DLLEXPORT bool | isStatic () const
| returns true if the method is static More...
DLLEXPORT bool | isUser () const
| returns true if all variants of the method are user variants More...

## Friends
class | QoreObject

## Detailed Description

a method in a QoreClass

methods can be implemented in the Qore language (user methods) or in C++ (builtin methods)

See also
  QoreClass

## Member Function Documentation

## ◆ execManaged()

DLLEXPORT QoreValue QoreMethod::execManaged | ( | QoreObject * | self,
|  | const QoreListNode * | args,
|  | ExceptionSink * | xsink
| ) |  | const

evaluates the method and returns the value, does not reference the object for the call

Note
  this method should only be used when the caller can guarantee that the object will not go out of scope during the call

Since
  Qore 0.8.12

## ◆ getFunction()

DLLEXPORT const QoreExternalMethodFunction* QoreMethod::getFunction | ( |  | ) | const

returns the function for the method

Since
  Qore 0.9

## ◆ getMethodType()

DLLEXPORT method_type_e QoreMethod::getMethodType | ( |  | ) | const

returns the type of method

Since
  Qore 0.9

## ◆ getName()

DLLEXPORT const char* QoreMethod::getName | ( |  | ) | const

returns the method's name

Returns
  the method's name

## ◆ getNameStr()

DLLEXPORT const std::string& QoreMethod::getNameStr | ( |  | ) | const

returns the method's name

Returns
  the method's name

## ◆ isBuiltin()

DLLEXPORT bool QoreMethod::isBuiltin | ( |  | ) | const

returns true if all variants of the method are builtin variants

Returns
  true if all variants of the method are builtin variants

## ◆ isPrivate()

DLLEXPORT bool QoreMethod::isPrivate | ( |  | ) | const

returns true if all overloaded variants of a methods are private or class internal, false if at least one variant is public

Returns
  true if all overloaded variants of a methods are private or class internal, false if at least one variant is public

## ◆ isStatic()

DLLEXPORT bool QoreMethod::isStatic | ( |  | ) | const

returns true if the method is static

Returns
  true if the method is static

## ◆ isUser()

DLLEXPORT bool QoreMethod::isUser | ( |  | ) | const

returns true if all variants of the method are user variants

Returns
  true if all variants of the method are user variants

The documentation for this class was generated from the following file:

- include/qore/QoreClass.h